/*
Module : IconDlg.h
Purpose: Interface for an MFC class for an Icon Picker dialog
Created: PJN / 25-07-1997

Copyright (c) 1997 - 2022 by PJ Naughter (Web: www.naughter.com, Email: pjna@naughter.com)

All rights reserved.

Copyright / Usage Details:

You are allowed to include the source code in any product (commercial, shareware, freeware or otherwise) 
when your product is released in binary form. You are allowed to modify the source code in any way you want 
except you cannot modify the copyright details at the top of each module. If you want to distribute source 
code with your application, then you are only allowed to distribute versions released by the author. This is 
to maintain a single distribution point for the source code.

*/


//////////////////// Macros / Defines /////////////////////////////////////////

#pragma once

#ifndef __ICONDLG_H__
#define __ICONDLG_H__

#ifndef CICONDLG_EXT_CLASS
#define CICONDLG_EXT_CLASS
#endif //#ifndef CICONDLG_EXT_CLASS


//////////////////// Classes //////////////////////////////////////////////////

class CICONDLG_EXT_CLASS CIconDialog
{
public:
//Constructors / Destructors
  CIconDialog(_In_opt_ CWnd* pParent = nullptr);

//Methods
  void SetIcon(_In_ const CString& sFilename, _In_ int nIndex);
  void GetIcon(_Inout_ CString& sFilename, _Out_ int& nIconIndex);
  int DoModal();

protected:
//Member variables
  HWND m_hWnd;
  CStringW m_sFilename;
  int m_nIconIndex;
};

#endif //#ifndef __ICONDLG_H__
